UPDATE Reservations
SET PassPortNumber = SUBSTRING(SUBSTRING(PassPortNumber, 1, 0) + '', 1, 25)
WHERE ReferenceNumber IN (
  SELECT Reservations.ReferenceNumber 
  FROM Reservations (NOLOCK)
  INNER JOIN ReservationAddressXtab WITH (NOLOCK) ON ReservationAddressXTab.ReferenceNumber = Reservations.ReferenceNumber
    AND ReservationAddressXTab.GuestNumber = Reservations.GuestNumber
  INNER JOIN ReservationAddress WITH (NOLOCK) ON ReservationAddress.AddressNumber = ReservationAddressXtab.AddressNumber
    AND ReservationAddress.AddressType = 1
    AND ReservationAddress.AddressAnonymized = 1
  WHERE ISNULL(PassPortNumber, '') <> ''
)